# $Revision: 1.7 $, $Date: 2011/02/28 07:39:43 $
%include	/usr/lib/rpm/macros.php
%define		_pearname	FirePHPCore
%define		php_min_version 5.2.0
Summary:	Firebug Extension for AJAX Development
Name:		php-firephp-%{_pearname}
Version:	0.3.2
Release:	1
License:	New BSD License
Group:		Development/Languages/PHP
URL:		http://www.firephp.org/
BuildRequires:	php-channel(pear.firephp.org)
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 4:%{php_min_version}
Source0:	http://pear.firephp.org/get/%{_pearname}-%{version}.tgz
# Source0-md5:	2850c4a9a976337e14c29c4f4d48b483
Requires:	php-channel(pear.firephp.org)
Requires:	php-mbstring
Requires:	php-pcre
Requires:	php-pear >= 4:1.2-2
Requires:	php-xml
Obsoletes:	php-firephp < 0.3.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
FirePHP enables you to print to your Firebug Console using a simple
PHP function call.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

# Good bye php4
%{__rm} $RPM_BUILD_ROOT%{php_pear_dir}/%{_pearname}/*.php4

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{php_pear_dir}/.registry/.channel.pear.firephp.org/firephpcore.reg
%dir %{php_pear_dir}/%{_pearname}
%{php_pear_dir}/%{_pearname}/FirePHP.class.php
%{php_pear_dir}/%{_pearname}/fb.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-firephp-FirePHPCore.spec,v $
Revision 1.7  2011/02/28 07:39:43  glen
- up to 0.3.2, rename to php-firephp-FirePHPCore to conform to current pear packaging schema

Revision 1.6  2010/03/10 13:56:41  glen
- missing dir; rel 2

Revision 1.5  2010/03/10 13:54:35  glen
- unify

Revision 1.4  2010/03/10 13:53:41  glen
- requires pear.firephp.org pear channel to build

Revision 1.3  2010/03/10 13:51:41  glen
- up to 0.3.1
- build with pear install mode

Revision 1.2  2008/07/31 10:12:26  glen
- fix paths in examples

Revision 1.1  2008/07/31 09:23:20  glen
- new
